Libical API Documentation 3.0

Data Fields
icalrecurrencetype Struct Reference

`#include <icalrecur.h>`

## Data Fields
short | by_day [7 *(56 -1)+1]
| Encoded value. More...
short | by_hour [25]
short | by_minute [61]
short | by_month [14]
| Encoded value. More...
short | by_month_day [32]
short | by_second [62]
short | by_set_pos [386]
short | by_week_no [56]
short | by_year_day [386]
int | count
icalrecurrencetype_frequency | freq
short | interval
char * | rscale
icalrecurrencetype_skip | skip
struct icaltimetype | until
icalrecurrencetype_weekday | week_start

## Detailed Description

Main struct for holding digested recurrence rules

## Field Documentation

## ◆ by_day

short icalrecurrencetype::by_day[7 *(56 -1)+1]

Encoded value.

The 'day' element of the by_day array is encoded to allow representation of both the day of the week ( Monday, Tuesday), but also the Nth day of the week (first Tuesday of the month, last Thursday of the year).

These values are decoded by icalrecurrencetype_day_day_of_week() and icalrecurrencetype_day_position().

## ◆ by_month

short icalrecurrencetype::by_month[14]

Encoded value.

The 'month' element of the by_month array is encoded to allow representation of the "L" leap suffix (RFC 7529).

These values are decoded by icalrecurrencetype_month_is_leap() and icalrecurrencetype_month_month().

The documentation for this struct was generated from the following file:

- icalrecur.h